Bug 510176 - unable to display Japanese manpages
unable to display Japanese manpages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks: 220122
  Show dependency treegraph
 
Reported: 2009-07-08 02:17 EDT by Jens Petersen
Modified: 2011-11-22 05:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 220122
Environment:
Last Closed: 2011-11-22 05:52:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-07-08 02:17:12 EDT
+++ This bug was initially created as a clone of Bug #220122 +++

Description of problem:
Try to view man-pages-ja from yelp, however, the contents are not able to be
displayed properly.

How reproducible:
Always

Steps to Reproduce:
1.login desktop with ja_JP locales
2.in yelp, search for info:man
3.
  
Actual results:
pls refer to screenshot

Expected results:
should display or fallback to english

Additional info:

--- Additional comment from llim@redhat.com on 2006-12-18 18:36:20 EDT ---

Created an attachment (id=143967)
screenshot of yelp displaying man-pages-ja

--- Additional comment from tagoh@redhat.com on 2006-12-19 01:01:20 EDT ---

(In reply to comment #3)
> Actually, after looking at the screenshot carefully, seem even in g-t, some of
> the contents are display as "?"

I suppose it's because vte may does wrong thing on Japanese hyphenation or
whatever. it's a different problem anyway.
Comment 1 Bug Zapper 2009-11-16 05:43:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-11-04 06:49:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Akira TAGOH 2010-11-18 07:49:39 EST
This issue is still present on even f14.

I couldn't try this on rawhide because it seems broken now. will try it later.
Comment 4 Matěj Cepl 2010-12-23 09:24:52 EST
(In reply to comment #0)
> 2.in yelp, search for info:man

Yelp is currently broken on Rawhide, so I cannot confirm or deny. Just to say that info:man URL is actually not a looking through manpages, but looking at the info pages on man program, which doesn't exist. Try info:bash or man:man instead.
Comment 5 Jens Petersen 2011-01-13 00:39:40 EST
yelp is still not running in rawhide: see bug 662276.
Comment 6 Akira TAGOH 2011-11-21 22:07:52 EST
yelp-3.2.1-2.fc16.x86_64 works for me.
Comment 7 Akira TAGOH 2011-11-22 05:52:03 EST
yelp-3.0.4-1.fc15.x86_64 also works fine. guess we can close this since f14 is reaching EOL soon.

Note You need to log in before you can comment on or make changes to this bug.